/* Infobar styling */

#blog .active {
  color: #00a31a;
}

#reviews .active {
  color: #00a31a;
}

.infobar {
  position: relative;
  font-family: 'Roboto Condensed';
  font-size: 18px;
  font-weight: 700;
  padding: 12px 0;
  background: #000000;
  border-bottom: solid 1px #007800;
  margin-right: -18px;
  padding-right: 18px;
  z-index: 9999;
}

@media (min-width: 576px) {
  .infobar {
    font-size: 20px;
  }
}

@media (min-width: 992px) {
  .infobar {
    font-size: 22px;
  }
}

@media (min-width: 1200px) {
  .infobar {
    font-size: 24px;
  }
}

.divider {
  background: #007800;
  width: 1px;
}

.infobar a {
  color: #fff;
  text-decoration: none;
  transition: color .3s ease-in-out;
}

@media (hover: hover) {
  .infobar a:hover {
    color: #c3c3c3;
  }
}

.infobar a:focus {
  color: #c3c3c3;
}

/* remove hover on phone link on mobile */

@media (hover: hover) {
  .infobar a:hover {
    color: #c3c3c3;
  }
}

#getStarted .btn {
  font-size: 20px;
  padding: 3px 15px 0px 15px;
  transition: all .5s;
  border-radius: 4px;
  font-weight: 700;
}

@media (min-width: 992px) {
  #getStarted .btn {
    font-size: 24px;
  }
}

@media (min-width: 1400px) {
  #getStarted .btn {
    font-size: 26px;
  }
}

.get-started-mobile {
  position: fixed;
  width: 100%;
  padding: 10px 0;
  z-index: 15;
  top: 0;
  background: #000000;
  box-shadow: 0 0px 15px rgba(0,0,0,0.65);
}

.get-started-mobile .btn {
  font-size: 24px;
  line-height: 1.4;
  padding: 3px 15px;
  border-radius: 4px;
}

/* Navigation Styling */

@media (max-width: 767px) {
  .nav-up {
    top: -190px;
    opacity: 0;
    transition: all 0.5s ease-in-out;
  }
}

#nav-wrapper {
  width: 100%;
  z-index: 99;
  box-shadow: 0 0px 15px rgba(0,0,0,0.65);
  transition: all 0.5s ease-in-out, padding-right 0s;
}

.navigation-clean {
  font-family: 'Roboto Condensed';
  font-weight: 700;
  font-size: 20px;
  padding-top: 0;
  padding-bottom: 0;
  border-radius: 0;
  box-shadow: none;
  border: none;
  margin-bottom: 0;
}

.navbar-toggler {
  padding: 4px;
  font-size: 40px;
  line-height: 0;
  background-color: transparent;
  border: 1px solid;
  border-radius: .25rem;
  transition: box-shadow .15s ease-in-out;
}

.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: none;
}

.navigation-clean .navbar-brand {
  padding-top: 0;
  padding-bottom: 0;
  margin-right: 0;
  font-size: 1.25rem;
  text-decoration: none;
  white-space: nowrap;
  font-weight: bold;
  color: inherit;
}

.navigation-clean .navbar-toggler {
  border-color: #00a31a;
  color: #00a31a;
}

.navigation-clean .navbar-toggler:focus {
  background: none;
}

@media (hover: hover) {
  .navigation-clean .navbar-toggler:hover {
    background: none;
  }
}

.navigation-clean .navbar-nav .nav-link {
  padding-left: 20px;
  padding-right: 20px;
  color: #fff;
  transition: color 0.3s ease;
}

@media (min-width: 992px) {
  .navigation-clean .navbar-nav .nav-link {
    padding-left: 17px;
    padding-right: 17px;
  }
}

@media (min-width: 1200px) {
  .navigation-clean .navbar-nav .nav-link {
    font-size: 22px;
    padding-left: 25px;
    padding-right: 25px;
  }
}

/* Focus state for nav links (All devices) */

.navigation-clean .navbar-nav .nav-link:focus {
  color: #c3c3c3;
}

/* Hover state for nav links (Mouse/Trackpad ONLY) */

@media (hover: hover) {
  .navigation-clean .navbar-nav .nav-link:hover {
    color: #c3c3c3;
  }
}

.navigation-clean .navbar-nav .nav-link.active, .navigation-clean .navbar-nav .show > .nav-link {
  color: #00a31a;
}

.navigation-clean .navbar-nav > li > .dropdown-menu {
  margin-top: 0;
  background-color: var(--bs-dark);
  border-radius: 4px;
  border: none;
}

@media (min-width: 768px) {
  .navigation-clean .navbar-nav > li > .dropdown-menu {
    padding: 7px 0;
    margin-top: 5px;
    box-shadow: 0px 5px 5px rgba(0,0,0,0.4);
  }
}

/* Base dropdown item style (Separated from :focus) */

.navigation-clean .dropdown-menu .dropdown-item {
  color: #ffffff;
  background-color: var(--bs-dark);
  transition: color .3s, background-color .3s;
  white-space: normal;
  font-size: 18px;
  line-height: 1.2;
  font-weight: 700;
  padding: 10px 5px;
}

@media (min-width: 768px) {
  .navigation-clean .dropdown-menu .dropdown-item {
    white-space: nowrap;
    padding: 10px 15px;
  }
}

/* Focus state for dropdown items (All devices) */

.navigation-clean .dropdown-menu .dropdown-item:focus {
  background: #007800 !important;
  color: #ffffff;
}

/* Hover state for dropdown items (Mouse/Trackpad ONLY) */

@media (hover: hover) {
  .navigation-clean .dropdown-menu .dropdown-item:hover {
    background: #007800 !important;
    color: #ffffff;
  }
}

.navigation-clean .dropdown-menu .dropdown-item.active {
  background-color: #006510 !important;
  color: #fff;
  text-shadow: 0px 0px 0px #fff;
}

@media (min-width: 768px) {
  .dropdown .dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    display: block;
    overflow: hidden;
    max-height: 0;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition: all 0.4s ease;
  }
}

@media (min-width: 768px) {
  .dropdown-menu.show {
    max-height: 500px;
    opacity: 1;
    transform: scaleY(1);
  }
}

